package cn.efunbox.manage.base.service;

import cn.efunbox.manage.base.entity.Department;
import cn.efunbox.manage.base.enums.DeptTypeEnum;
import cn.efunbox.manage.common.result.ApiResult;

public interface DepartmentService {

    ApiResult getDeptTree(Long deptId, DeptTypeEnum deptTypeEnum);

    ApiResult save(Department department);

    ApiResult list(Department department);

    ApiResult update(Department department);

    ApiResult getDeptChild(Long deptId, DeptTypeEnum deptTypeEnum);

    ApiResult getDeptById(Long deptId);

    ApiResult select(DeptTypeEnum deptTypeEnum);
}
